Subject: bug#17762: PARTED Bug related to fat32

From: "Brian C. Lane" <[email-masked]>
Date: Fri, 13 Jun 2014 08:23:24 -0700

On Thu, Jun 12, 2014 at 02:13:19PM +0000, dimonik, dimonik wrote:
> Hello, it seems i found a bug :)
> 
> Package: parted
> 
> Version 2.3-20

> (parted) mkfs 1 fat32
> WARNING: you are attempting to use parted to operate on (mkfs) a file
> system.
> parted's file system manipulation code is not as robust as what you'll find
> in
> dedicated, file-system-specific packages like e2fsprogs.  We recommend
> you use parted only to manipulate partition tables, whenever possible.
> Support for performing most operations on most types of file systems
> will be removed in an upcoming release.

This version is no longer supported, and as it says, filesystem support
has been dropped.

-- 
Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)